<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syslib__enumerated__types" kind="group">
    <compoundname>group_syslib_enumerated_types</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__syslib__enumerated__types_1ga97d0b049220b931606e2ae2e144994e1" kind="enum" prot="public" static="no">
        <name>cy_en_syslib_status_t</name>
        <enumvalue id="group__group__syslib__enumerated__types_1gga97d0b049220b931606e2ae2e144994e1a7d26e21cf3c67f4202b35c3c6bcde534" prot="public">
          <name>CY_SYSLIB_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>The success status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syslib__enumerated__types_1gga97d0b049220b931606e2ae2e144994e1afbaf0aa42e3fea46010fbb779c3b4fd8" prot="public">
          <name>CY_SYSLIB_BAD_PARAM</name>
          <initializer>= CY_SYSLIB_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>The bad parameter status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syslib__enumerated__types_1gga97d0b049220b931606e2ae2e144994e1ab0fe56aafcc3a799deb35a95cd267cae" prot="public">
          <name>CY_SYSLIB_TIMEOUT</name>
          <initializer>= CY_SYSLIB_ID | CY_PDL_STATUS_ERROR | 0x02UL</initializer>
          <briefdescription>
<para>The time out status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syslib__enumerated__types_1gga97d0b049220b931606e2ae2e144994e1a7c9afe9d38b5cd61b214b55f4f16152f" prot="public">
          <name>CY_SYSLIB_INVALID_STATE</name>
          <initializer>= CY_SYSLIB_ID | CY_PDL_STATUS_ERROR | 0x03UL</initializer>
          <briefdescription>
<para>The invalid state status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syslib__enumerated__types_1gga97d0b049220b931606e2ae2e144994e1a3be9d96ef6dc5712eece0461a3a00def" prot="public">
          <name>CY_SYSLIB_UNKNOWN</name>
          <initializer>= CY_SYSLIB_ID | CY_PDL_STATUS_ERROR | 0xFFUL</initializer>
          <briefdescription>
<para>Unknown status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syslib_status_t: </bold><linebreak />The SysLib status code structure.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="342" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="336" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>